org.deidentifier.arx

## Enum ARXConfiguration.SearchStepSemantics

- java.lang.Object
- - java.lang.Enum<ARXConfiguration.SearchStepSemantics>
  - - org.deidentifier.arx.ARXConfiguration.SearchStepSemantics

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ARXConfiguration.SearchStepSemantics>

Enclosing class:
  ARXConfiguration

    public static enum ARXConfiguration.SearchStepSemantics
    extends java.lang.Enum<ARXConfiguration.SearchStepSemantics>

The semantics of heuristic search steps.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECKS` Steps correspond to checks
`EXPANSIONS` Steps correspond to expansions

### Method Summary

All Methods Static Methods Concrete Methods
`static ARXConfiguration.SearchStepSemantics` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ARXConfiguration.SearchStepSemantics[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHECKS

    public static final ARXConfiguration.SearchStepSemantics CHECKS

Steps correspond to checks

#### EXPANSIONS

    public static final ARXConfiguration.SearchStepSemantics EXPANSIONS

Steps correspond to expansions

### Method Detail

#### values

    public static ARXConfiguration.SearchStepSemantics[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ARXConfiguration.SearchStepSemantics c : ARXConfiguration.SearchStepSemantics.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ARXConfiguration.SearchStepSemantics valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null